Adding volume via scroller forwards song

November 02, 2018 12:10 - Nick Gentile

Status: Rejected Start date: November 02, 2018

Priority: Major Due date:  

Assignee:  % Done: 0%

Category: libaudqt Estimated time: 0.00 hour

Target version:    

Affects version: 3.10   

Description

If I use the scroll wheel on the volume button to add volume up/down, the song starts skipping, forwarding.

OS: Solus

Audacious: 3.10

I think, not sure, there might be a QT bug or something.

Thanks.

Nick

History

#1 - November 10, 2018 05:35 - John Lindgren

Are you familiar with using a debugger?  Can you set a breakpoint on aud_drct_seek() and determine if it's being called when you use the scroll

wheel?  And if so, what is the call stack?

#2 - November 22, 2018 04:34 - Jim Turner

I'm experiencing this myself, but it appears not to be an Audacious issue, but rather the fact that my scrollwheel works in both horizontal and vertical

directions, and a slight mistouch while scrolling vertically will send a horizontal scroll event triggering the "song-skip" (I use a Lenovo Scrollpoint

mouse in Linux, with both horiz & vert scrolling by mashing the rocker-button in the desired direction - 

https://wildstar84.wordpress.com/2015/06/05/ibmlenovo-scrollpoint-mouse-with-smooth-horizontal-scrolling-in-linux/).  @OP:  Are you using a pointing

device w/4-way scrolling?

In a related matter, it appears that horizontal scrolling the song-position is currently not (yet?) implemented in the "non-skin" QT interface.

Regards,

Jim

#3 - February 24, 2019 13:50 - John Lindgren

- Status changed from New to Rejected

There's not enough information to debug this.  Closing.
